# package-plugin

## Purpose

Packages a plugin as a zip archive which can then be installed into another application

## Examples

    griffon package-plugin

## Description

Usage:

    griffon package-plugin

The plugin archive will be named with the convention `griffon-name-version.zip`. The name and version are obtained from the plugin descriptor (the Groovy class ending with the convention `GriffonPlugin.groovy`) in the root of the plugin directory. For example the following plugin:

    class SimpleGriffonPlugin {
    	def version = 0.1
    }

Will result in a zip archive called `griffon-simple-0.1.zip`, which can then be installed into an application with the install-plugin command.

Options:

- `nodoc` - Skips the generation of groovydoc and plugin reference documentation